import React, { useState } from 'react';
import { Modal, Button } from 'antd';
import Icon from '@/tenants-ui/SgIcon';
import styles from './index.less';
const importTitleIcon = require('@/assets/images/page-person-import/import-icon.svg');

export default ({ info, onClose }) => {
  const [token] = useState(() => {
    return localStorage.getItem('token');
  });
  console.log('info==', info);

  return (
    <Modal open width={760} className={styles.importError} onClose={onClose}>
      <div className={styles.header}>
        <div
          className={styles.close}
          onClick={() => {
            onClose();
          }}
        >
          <Icon type="close" />
        </div>
      </div>
      <div className={styles.listW}>
        <div className={styles.info}>{info.message}</div>
        <div className={styles.list}>
          <div className={styles.row}>
            <div className={styles.col1}>姓名</div>
            <div className={styles.col2}>类型</div>
            <div className={styles.col3}>手机号</div>
            <div className={styles.col4}>职务</div>
            <div className={styles.col5}>原因</div>
          </div>
          {(info.data || []).map((item, itemIndex) => {
            return (
              // eslint-disable-next-line react/no-array-index-key
              <div className={styles.row} key={itemIndex}>
                <div className={styles.col1}>{item.name}</div>
                <div className={styles.col2}>{item.manageUserType}</div>
                <div className={styles.col3}>{item.phone}</div>
                <div className={styles.col4}>{item.job}</div>
                <div className={styles.col5}>
                  {(Array.from(item.remark) || []).map((remark) => {
                    <div>{remark}</div>;
                  })}
                </div>
              </div>
            );
          })}
        </div>
      </div>
    </Modal>
  );
};
